Subject: Re: what's lavender cotton

From: [email-masked] (J.D. Roth)
Date: 30 Mar 1995 03:44:19 GMT

Thanks for all the responses to my original query post!  The santolina is
now planted in a sunny spot and seems content.  Thanks to everyone who
responded!

KGates at

-- 
                           May 1961: J.F.K. announces Apollo decision
J.D. Roth and/or           Jul 1969: first steps on the moon
Kris Gates via             Dec 1972: last American on the moon
[email-masked]        Jul 1976: Viking I lands on Mars
                           Feb 1995: ...where are we now?...